Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1187944 - Review Request: nodejs-tern-cordovajs - A Tern plugin adding support for CordovaJS
Summary: Review Request: nodejs-tern-cordovajs - A Tern plugin adding support for Cord...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-01-31 16:19 UTC by Gerard Ryan
Modified: 2015-02-28 17:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 17:29:43 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Gerard Ryan 2015-01-31 16:19:57 UTC
Spec URL: https://galileo.fedorapeople.org/nodejs-tern-cordovajs-0.1.0/nodejs-tern-cordovajs.spec
SRPM URL: https://galileo.fedorapeople.org/nodejs-tern-cordovajs-0.1.0/nodejs-tern-cordovajs-0.1.0-1.fc22.src.rpm
Description:
tern-cordovajs is a plugin which adds support for Apache Cordova(tm)
JavaScript API to the JavaSript code intelligence system Tern.
Fedora Account System Username: galileo

Comment 1 Piotr Popieluch 2015-02-23 20:02:37 UTC
Installing this fails on Rawhide:

Error: nothing provides npm(acorn) < 0.6 needed by nodejs-tern-cordovajs-0.1.0-1.fc23.noarch

nodejs-acorn 0.9.0 is in Rawhide, you might try a %nodejs_fixdep  if acorn 0.9.0 is backwards compatible with 0.6

Comment 2 Gerard Ryan 2015-02-23 22:04:36 UTC
Hi Piotr,

Thanks for the reviews this evening! Do you have any open reviews on which I could return the favor?

I'll have a look at this one tomorrow and hopefully push a working version.

Comment 3 Piotr Popieluch 2015-02-24 13:33:38 UTC
No problems, happy to do some more reviews soon.

I've got some review-requests open, see: http://tinyurl.com/jvlsyvj

I'm most interested to get carbon-c-relay approved, but that one might have some more work to do than one of the nodejs-modules. Pick a request you like ;)

Comment 4 Gerard Ryan 2015-02-26 19:50:58 UTC
Spec URL: https://galileo.fedorapeople.org/nodejs-tern-cordovajs-0.1.0/nodejs-tern-cordovajs.spec
SRPM URL: https://galileo.fedorapeople.org/nodejs-tern-cordovajs-0.1.0/nodejs-tern-cordovajs-0.1.0-2.fc23.src.rpm

(In reply to Piotr Popieluch from comment #3)
> I've got some review-requests open, see: http://tinyurl.com/jvlsyvj

Thanks, I'll do one now, and should have time to do some more at the weekend!

Comment 5 Piotr Popieluch 2015-02-27 21:16:02 UTC
APPROVED





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1187944-nodejs-tern-
     cordovajs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-tern-cordovajs-0.1.0-2.fc23.noarch.rpm
          nodejs-tern-cordovajs-0.1.0-2.fc23.src.rpm
nodejs-tern-cordovajs.noarch: W: spelling-error %description -l en_US tm -> TM, mt, Tm
nodejs-tern-cordovajs.noarch: W: only-non-binary-in-usr-lib
nodejs-tern-cordovajs.noarch: W: dangling-symlink /usr/lib/node_modules/tern-cordovajs/node_modules/tern /usr/lib/node_modules/tern
nodejs-tern-cordovajs.noarch: W: dangling-symlink /usr/lib/node_modules/tern-cordovajs/node_modules/acorn /usr/lib/node_modules/acorn
nodejs-tern-cordovajs.src: W: spelling-error %description -l en_US tm -> TM, mt, Tm
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-tern-cordovajs (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(acorn)
    npm(tern)



Provides
--------
nodejs-tern-cordovajs:
    nodejs-tern-cordovajs
    npm(tern-cordovajs)



Source checksums
----------------
http://registry.npmjs.org/tern-cordovajs/-/tern-cordovajs-0.1.0.tgz :
  CHECKSUM(SHA256) this package     : 5c7521037e6cdf53b6a829828cf339aa7d1a20339cbe1ab4099ac70149312b0c
  CHECKSUM(SHA256) upstream package : 5c7521037e6cdf53b6a829828cf339aa7d1a20339cbe1ab4099ac70149312b0c


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1187944
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Gerard Ryan 2015-02-28 00:02:52 UTC
New Package SCM Request
=======================
Package Name: nodejs-tern-cordovajs
Short Description: A Tern plugin adding support for CordovaJS
Owners: galileo
Branches: f22, f21
InitialCC:

Comment 7 Gwyn Ciesla 2015-02-28 16:10:14 UTC
Git done (by process-git-requests).

Comment 8 Gerard Ryan 2015-02-28 17:29:43 UTC
Built for Rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=616181


Note You need to log in before you can comment on or make changes to this bug.